org.h2.store

## Class RangeInputStream

- java.lang.Object
- - java.io.InputStream
  - - java.io.FilterInputStream
    - - org.h2.store.RangeInputStream

All Implemented Interfaces:
  java.io.Closeable, java.lang.AutoCloseable

    public final class RangeInputStream
    extends java.io.FilterInputStream

Input stream that reads only a specified range from the source stream.

### Field Summary

### Fields inherited from class java.io.FilterInputStream

`in`

### Constructor Summary

Constructors
Constructor and Description
`RangeInputStream(java.io.InputStream in, long offset, long limit)` Creates new instance of range input stream.

### Method Summary

Methods
`int` `available()`
`void` `close()`
`void` `mark(int readlimit)`
`boolean` `markSupported()`
`int` `read()`
`int` `read(byte[] b, int off, int len)`
`void` `reset()`
`long` `skip(long n)`

### Methods inherited from class java.io.FilterInputStream

`read`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RangeInputStream

    public RangeInputStream(java.io.InputStream in,
                    long offset,
                    long limit)
                     throws java.io.IOException

Creates new instance of range input stream.

Parameters:
  `in` - source stream
  `offset` - offset of the range
  `limit` - length of the range
Throws:
  `java.io.IOException` - on I/O exception during seeking to the specified offset

### Method Detail

#### read

    public int read()
             throws java.io.IOException

Overrides:
  `read` in class `java.io.FilterInputStream`
Throws:
  `java.io.IOException`

#### read

    public int read(byte[] b,
           int off,
           int len)
             throws java.io.IOException

Overrides:
  `read` in class `java.io.FilterInputStream`
Throws:
  `java.io.IOException`

#### skip

    public long skip(long n)
              throws java.io.IOException

Overrides:
  `skip` in class `java.io.FilterInputStream`
Throws:
  `java.io.IOException`

#### available

    public int available()
                  throws java.io.IOException

Overrides:
  `available` in class `java.io.FilterInputStream`
Throws:
  `java.io.IOException`

#### close

    public void close()
               throws java.io.IOException

Specified by:
  `close` in interface `java.io.Closeable`
Specified by:
  `close` in interface `java.lang.AutoCloseable`
Overrides:
  `close` in class `java.io.FilterInputStream`
Throws:
  `java.io.IOException`

#### mark

    public void mark(int readlimit)

Overrides:
  `mark` in class `java.io.FilterInputStream`

#### reset

    public void reset()
               throws java.io.IOException

Overrides:
  `reset` in class `java.io.FilterInputStream`
Throws:
  `java.io.IOException`

#### markSupported

    public boolean markSupported()

Overrides:
  `markSupported` in class `java.io.FilterInputStream`